Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update team details or roster assignments.
cURL
curl --request PATCH \ --url https://api.squadvault.xyz/v1/teams/{teamId} \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data '{}'
const options = { method: 'PATCH', headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({}) }; fetch('https://api.squadvault.xyz/v1/teams/{teamId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.squadvault.xyz/v1/teams/{teamId}" payload = {} headers = { "x-api-key": "<api-key>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
200
Example
{ "id": "<string>", "organizationId": "<string>", "name": "<string>", "description": "<string>", "image": "<string>", "game": "cs", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "playerCount": 123, "players": [ { "id": "<string>", "name": "<string>", "role": "<string>", "mainGame": "cs", "nationality": "de", "teamRole": "captain", "gamerTags": [ { "id": "<string>", "organizationId": "<string>", "playerId": "<string>", "game": "cs", "gamerTag": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ] } ] }
Organization API key from Settings → API keys.
cs
valorant
overwatch
fortnite
minecraft
rocket-league
league
other
Show child attributes
Updated team
Was this page helpful?